Summary:	C++ library for easy access to ALSA PCM devices
Summary(pl.UTF-8):	Biblioteka C++ do łatwego dostępu do urządzeń ALSA PCM
Name:		zita-alsa-pcmi
Version:	0.6.1
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	729aac728c23f0bc40220c8a08e9cdbe
Patch0:		makefile.patch
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/
BuildRequires:	alsa-lib-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zita-alsa-pcmi is the successor of clalsadrv. It provides easy access
to ALSA PCM devices, taking care of the many functions required to
open, initialise and use a hw: device in mmap mode, and providing
floating point audio data.

%description -l pl.UTF-8
Zita-alsa-pcmi to następca clalsadrv. Zapewnia łatwy dostęp do
urządzeń ALSA PCM, biorąc na siebie wiele funkcji wymaganych do
otwarcia, zainicjowania i użycia urządzeń hw: w trybie mmap, oraz
obsługując zmiennoprzecinkowe dane dźwiękowe.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel
Requires:	libstdc++-devel

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package apps
Summary:	Sample applications files for %{name} library
Summary(pl.UTF-8):	Przykładowe aplikacje do biblioteki %{name}
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description apps
Sample applications files for %{name} library.

%description apps -l pl.UTF-8
Przykładowe aplikacje do biblioteki %{name}.

%prep
%setup -q
%patch0 -p1

%build
cd source
CXX="%{__cxx}" \
CXXFLAGS="%{rpmcxxflags}" \
CPPFLAGS="%{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make}
ln -sf libzita-alsa-pcmi.so.* libzita-alsa-pcmi.so
cd ..

CXX="%{__cxx}" \
CXXFLAGS="%{rpmcxxflags}" \
CPPFLAGS="%{rpmcppflags} -I../source" \
LDFLAGS="%{rpmldflags} -L../source" \
%{__make} -C apps

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C source install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

%{__make} -C apps install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libzita-alsa-pcmi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzita-alsa-pcmi.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzita-alsa-pcmi.so
%{_includedir}/zita-alsa-pcmi.h

%files apps
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/alsa_delay
%attr(755,root,root) %{_bindir}/alsa_loopback
%changelog
* Sun Jul 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zita-alsa-pcmi.git;a=log;h=master

* Sat Jul 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 0c49171
- updated to 0.6.1, fixed -apps pl description

* Fri Mar 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 43f7c98
- updated to 0.4.0

* Sun Sep 26 2021 Jakub Bogusz <qboosh@pld-linux.org> c9ff855
- updated to 0.3.2

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> 92ce23f
- update BR

* Sat Oct 15 2016 Jacek Konieczny <jajcus@jajcus.net> 8203433
- devel R: alsa-lib-devel

* Sat Oct 15 2016 Jacek Konieczny <jajcus@jajcus.net> 674babf
- typo

* Sat Oct 15 2016 Jacek Konieczny <jajcus@jajcus.net> 69c530f
- fix compiler and flags passing to make

* Sat Oct 15 2016 Jacek Konieczny <jajcus@jajcus.net> 31c1112
- pass %%{_lib} to make install

* Sat Oct 15 2016 Jacek Konieczny <jajcus@jajcus.net> 4447e84
- new package

